summaryrefslogtreecommitdiffstats
path: root/source/a/mtx/mtx.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/mtx/mtx.SlackBuild')
-rwxr-xr-xsource/a/mtx/mtx.SlackBuild88
1 files changed, 88 insertions, 0 deletions
diff --git a/source/a/mtx/mtx.SlackBuild b/source/a/mtx/mtx.SlackBuild
new file mode 100755
index 000000000..c17d11769
--- /dev/null
+++ b/source/a/mtx/mtx.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/bash
+
+# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+# mtx.SlackBuild
+# Package mtx for Slackware
+# mozes@slackware.com
+# ftp://ftp.badtux.net/pub/storage/mtx
+
+PACKAGE=mtx
+VERSION=1.3.9
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-2}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PACKAGE
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+# Extract source:
+cd $TMP
+rm -rf $PACKAGE-*
+tar zxvvf $CWD/$PACKAGE-$VERSION.tar.gz
+cd $PACKAGE-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Configure:
+./configure \
+ --prefix=/usr \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux \
+ --target=$ARCH-slackware-linux || exit 1
+
+# Avoid looking in the Kernel source:
+sed -i 's?-I/usr/src/linux/include? ?g' Makefile
+
+# Build:
+make || exit 1
+
+# Install into package:
+mkdir -pm755 $PKG/{install,usr/{sbin,doc/$PACKAGE-$VERSION,man/man1}}
+install -m755 scsitape tapeinfo mtx loaderinfo $PKG/usr/sbin
+install -m644 *.1 $PKG/usr/man/man1
+gzip -9 $PKG/usr/man/man1/*
+
+# Strip:
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Copy docs:
+cp -fa mtx.doc CHANGES COMPATABILITY FAQ LICENSE README TODO \
+ $PKG/usr/doc/$PACKAGE-$VERSION
+
+# Install package description:
+install -m644 $CWD/slack-desc $PKG/install
+
+# Build the package:
+cd $PKG
+makepkg -l y -c n $TMP/$PACKAGE-$VERSION-$ARCH-$BUILD.txz